# 
#  Szemlyes nvmsok, nvmsi hatrozszk
#
#  2003.05.20. tvek
#  1999.10.14. +irnt+utn
#  1999.09.11.

#   1    2   345 6
# alap  ae oua rag
#            ee

define(nevmas_rag,
$1$2m$6	$1$2[noun_pron]+[SG_1]
n$1$2m$6	$1$2[noun_pron]+[SG_1]
$1$2d$6	$1$2[noun_pron]+[SG_2]
te$1$2d$6	$1$2[noun_pron]+[SG_2]

# hozzig

`ifelse(regexp('$6`,.),-1,
$1$2$6	[noun_pron]+[SG_3],
$1$2$6	$1$2[noun_pron]+[SG_3])'

$1$2$6	$1$2[noun_pron]+[SG_3]
`ifelse(regexp('$2`,[]),-1,
$1$4nk$6	$1$2[noun_pron]+[PL_1]
mi$1$4nk$6	$1$2[noun_pron]+[PL_1]
$1$2t$3k$6	$1$2[noun_pron]+[PL_2]
ti$1$2t$3k$6	$1$2[noun_pron]+[PL_2]
$1$4k$6	$1$2[noun_pron]+[PL_3]
$1$4k$6	$1$2[noun_pron]+[PL_3],
$1$2j$5$6	$1$2[noun_pron]+[SG_3]
$1$2j$5$6	$1$2[noun_pron]+[SG_3]
$1$2nk$6	$1$2[noun_pron]+[PL_1]
mi$1$2nk$6	$1$2[noun_pron]+[PL_1]
$1$2t$3k	$1$2[noun_pron]+[PL_2]
ti$1$2t$3k	$1$2[noun_pron]+[PL_2]
$1$2j$4k$6	$1$2[noun_pron]+[PL_3]
$1$2j$4k$6	$1$2[noun_pron]+[PL_3])'
)

# kivtelek 

n	[noun_pron]
te	[noun_pron]
	[noun_pron]
mi	[noun_pron]
ti	[noun_pron]
k	[noun_pron]

engem	n[noun_pron]+[ACC]
engemet	n[noun_pron]+[ACC]
tged	te[noun_pron]+[ACC]
tgedet	te[noun_pron]+[ACC]
t	[noun_pron]+[ACC]
minket	mi[noun_pron]+[ACC]
titeket	ti[noun_pron]+[ACC]
ket	k[noun_pron]+[ACC]

nekem	n[noun_pron]+[DAT]
neked	te[noun_pron]+[DAT]
neki	[noun_pron]+[DAT]
neknk	mi[noun_pron]+[DAT]
nektek	ti[noun_pron]+[DAT]
nekik	k[noun_pron]+[DAT]
nnekem	n[noun_pron]+[DAT]
teneked	te[noun_pron]+[DAT]
neki	[noun_pron]+[DAT]
mineknk	mi[noun_pron]+[DAT]
tinektek	ti[noun_pron]+[DAT]
nekik	k[noun_pron]+[DAT]

enym/Vn	[noun_pron]{+[NOM]}
enymek/Vn	[noun_pron]{+[NOM]}
enyim/Vn	[noun_pron]{+[NOM]}
tid/Vn	[noun_pron]{+[NOM]}
tied/Vn	[noun_pron]{+[NOM]}
tiid/Vn	[noun_pron]{+[NOM]}
tieid/Vn	[noun_pron]{+[NOM]}
v/V	[noun_pron]{+[NOM]}
vi/V	[noun_pron]{+[NOM]}
mink/Vn	[noun_pron]{+[NOM]}
mienk/Vn	[noun_pron]{+[NOM]}
miink/Vn	[noun_pron]{+[NOM]}
mieink/Vn	[noun_pron]{+[NOM]}
titek/Vn	[noun_pron]{+[NOM]}
tietek/Vn	[noun_pron]{+[NOM]}
tiitek/Vn	[noun_pron]{+[NOM]}
tieitek/Vn	[noun_pron]{+[NOM]}
vk/Vn	[noun_pron]{+[NOM]}
vik/Vn	[noun_pron]{+[NOM]}

#<beltek>	bel
#<tibeltek>	bel
#<rtok>	r
#<tirtok>	r
#<retok>	re
#<tiretok>	re
#<vletek>	vle
#<tivletek>	vle
#<altok>	al
#<tialtok>	al
#<feltek>	fel
#<tifeltek>	fel
#<fltek>	fl
#<tifltek>	fl
#<eltek>	el
#<tieltek>	el
#<mgtek>	mg
#<timgtek>	mg
#<melltek>	mell
#<timelltek>	mell
#<kztek>	kz
#<tikztek>	kz
#<krtek>	kr
#<tikrtek>	kr
#<hozztok>	hozz
#<tihozztok>	hozz
#<elibtek>	elib
#<tielibtek>	elib
#<flibtek>	flib
#<tiflibtek>	flib
#<kzibtek>	kzib
#<tikzibtek>	kzib

enmagam/Um	[noun_pron]{+[NOM]}

# nvsz ragokhoz kapcsold nvmsok

nevmas_rag(benn,e,e,)
nevmas_rag(bel,,e,,e)
nevmas_rag(bell,e,e,,"")
nevmas_rag(rajt,a,o,u)
nevmas_rag(r,,o,u,a)
nevmas_rag(re,,o,u,a)
nevmas_rag(rl,a,o,u)
nevmas_rag(nl,a,o,u)
nevmas_rag(tl,e,e,)
nevmas_rag(hozz,,o,u,a)
nevmas_rag(vel,e,e,)
nevmas_rag(vl,e,e,)
nevmas_rag(rt,e,e,)

# helyhatrozi nvutkbl kpzett nvmsok

nevmas_rag(alatt,a,o,u)
nevmas_rag(al,,o,u,a)
nevmas_rag(all,a,o,u)
nevmas_rag(felett,e,e,)
nevmas_rag(fltt,e,e,)
nevmas_rag(fel,,e,,e)
nevmas_rag(fl,,e,,e)
nevmas_rag(fell,e,e,)
nevmas_rag(eltt,e,e,)
nevmas_rag(el,,e,,e)
nevmas_rag(ell,e,e,)
nevmas_rag(mgtt,e,e,)
nevmas_rag(mg,,e,,e)
nevmas_rag(mgl,e,e,)
nevmas_rag(mellett,e,e,)
nevmas_rag(mell,,e,,e)
nevmas_rag(melll,e,e,)
nevmas_rag(kztt,e,e,)
nevmas_rag(kzt,e,e,)
nevmas_rag(kz,,e,,e)
nevmas_rag(kzl,e,e,)
nevmas_rag(krltt,e,e,)
nevmas_rag(kr,,e,,e)

# egyb hatrozi nvutkbl kpzett nvmsok

nevmas_rag(utn,a,o,u)
nevmas_rag(helyett,e,e,)
nevmas_rag(nlkl,e,e,)
nevmas_rag(miatt,a,o,u)
nevmas_rag(ltal,a,o,u)
nevmas_rag(szerint,e,e,)
nevmas_rag(ellen,e,e,)
nevmas_rag(irnt,a,o,u)

# egy-kt tovbbragozott forma

bennnket	mi[noun_pron]+[ACC]
mibennnket	mi[noun_pron]+[ACC]
benneteket	ti[noun_pron]+[ACC]
tibenneteket	ti[noun_pron]+[ACC]

# nevmas_rag(nl,a,o,u,,nl) nlanl miatt -->
nlamnl	nla[noun_pron]
nnlamnl	nla[noun_pron]
nladnl	nla[noun_pron]
tenladnl	nla[noun_pron]
nlnl	nla[noun_pron]
nlnl	nla[noun_pron]
nlunknl	nla[noun_pron]
minlunknl	nla[noun_pron]
nlatoknl	nla[noun_pron]
tinlatoknl	nla[noun_pron]
nluknl	nla[noun_pron]
nluknl	nla[noun_pron]

ellenemre	ellene[noun_pron]
ellenedre	ellene[noun_pron]
ellenre	ellene[noun_pron]
ellennkre	ellene[noun_pron]
ellenetekre	ellene[noun_pron]
ellenkre	ellene[noun_pron]

ellenben	ellene[noun_pron]

nevmas_rag(hozz,,o,u,a,ig)
nevmas_rag(el,,e,,e,be)
nevmas_rag(elb,e,e,)

# rgies v. tjnyelvi jelleg vltozatok

nevmas_rag(rett,e,e,)
nevmas_rag(flib,,e,,e)
nevmas_rag(elib,,e,,e)
nevmas_rag(kzib,,e,,e)

kzibnk	kzib[noun_pron]
kzibk	kzib[noun_pron]

nkem	n[noun_pron]+[DAT]
nked	te[noun_pron]+[DAT]
nki	[noun_pron]+[DAT]
nknk	mi[noun_pron]+[DAT]
nktek	ti[noun_pron]+[DAT]
nkik	k[noun_pron]+[DAT]
nnkem	n[noun_pron]+[DAT]
tenked	te[noun_pron]+[DAT]
nki	[noun_pron]+[DAT]
minknk	mi[noun_pron]+[DAT]
tinktek	ti[noun_pron]+[DAT]
nkik	k[noun_pron]+[DAT]

nevmas_rag(krtt,e,e,)
